;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:sbar_plot (super bar_plot)
;
; PURPOSE: meme chose que bar_plot mais compatible avec l''ensemble de
; l'environnement (common.pro est inclu)
;
; CATEGORY:dessine
;
; CALLING SEQUENCE: sbar_plot,y
; 
; INPUTS: cd IDL>?bar_plot
;
; KEYWORD PARAMETERS:
;
;  meme que ceux de bar_plot avec en plus:
;      COLOR: un entier donnant la couleur de toutes les barres de
;      couleurs. (contrairement a colors qui est en vecteur donnant le
;      couleur de chaque barre de couleur.
;
;      NOREINITPLT: a actier si on ne veut pas que les variables
;      d''environnemet !p, !x, !y, !z soient reinitialisees par la
;      procedure reinitplt
;
; OUTPUTS:
;
; COMMON BLOCKS:common.pro
;
; SIDE EFFECTS:
;
;   Si NOREINITPLT n''est pas ective toutes les variables
;      d''environnemet !p, !x, !y, !z sont reinitialisees par la
;      procedure reinitplt
;
; RESTRICTIONS:
;
; EXAMPLE:
;
;      IDL> sbar_plot, indgen(10),petit=[2,2,2],/rempli
;      IDL> sbar_plot, indgen(10),petit=[2,2,3],/noerase
;      IDL> @ps
;
; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
;                      10/10/1999
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------

PRO sbar_plot, Values, COLOR = color, NOREINITPLT = noreinitplt, _extra = ex 
@common
; 1) je reinitialise l''environnememt graphique (les variables !x, !y et !p): 
   if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex 
; 2) je place le dessin a l'ecran comme sur le postcript 
   IF chkstru(ex, 'overplot')EQ 0 THEN placedessin, 'autre', _extra = ex
; 3) je fais mon joli dessin 
   if n_elements(COLOR) then BEGIN
      if n_elements(COLOR) EQ n_elements(Values) then colors = color $
       ELSE colors = replicate(color[0], n_elements(Values))
   ENDIF ELSE colors = congrid(indgen(!d.n_colors < 256), n_elements(Values))
;
   bar_plot, Values, background = !p.background, colors = colors, _extra = ex
; 4) je termine le dessin 
   terminedessin, _extra=ex 

   return
end
